﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Docs.Excel;


namespace BordersAndMerger
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ExcelWorkbook Wbook = ExcelWorkbook.ReadXLS(@"..\..\..\BordersAndMerger.xls");

            // Uncomment for XLSX reading
            // ExcelWorkbook Wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\BordersAndMerger.xlsx");

            // Create DataTabe object
            DataTable DataTable1 = new DataTable();
            int NumberRow = Wbook.Worksheets[0].Rows.Count * Wbook.Worksheets[0].Columns.Count;
            for (int i = 0; i < NumberRow; i++)
                DataTable1.Rows.Add(DataTable1.NewRow());

            DataTable1.Columns.Add("Cells ID");
            DataTable1.Columns.Add("Text");
            DataTable1.Columns.Add("BottomLineColor");
            DataTable1.Columns.Add("BottomLineStyle");
            DataTable1.Columns.Add("LeftLineColor");
            DataTable1.Columns.Add("LeftLineStyle");
            DataTable1.Columns.Add("RightLineColor");
            DataTable1.Columns.Add("RightLineStyle");
            DataTable1.Columns.Add("TopLineColor");
            DataTable1.Columns.Add("TopLineStyle");
            DataTable1.Columns.Add("Diagonal");
            DataTable1.Columns.Add("DiagonalLineColor");
            DataTable1.Columns.Add("DiagonalLineStyle");

            // Get first Worksheet name
            string WorksheetName = Wbook.Worksheets[0].Name;

            // Filling DataTable
            int count = 0;
            for (int i = 0; i < Wbook.Worksheets[0].Rows.Count; i++)
            {
                for (int j = 0; j < Wbook.Worksheets[0].Columns.Count; j++)
                {
                    DataTable1.Rows[count][0] = ExcelColumn.ColumnIndexToName(j+1) + Convert.ToString(i + 1);
                    DataTable1.Rows[count][1] = Wbook.Worksheets[0].Rows[i].Cells[j].ValueWithFormat();
                    DataTable1.Rows[count][2] = Wbook.Worksheets[0].Rows[i].Cells[j].Style.Borders.BottomLineColor;
                    DataTable1.Rows[count][3] = Wbook.Worksheets[0].Rows[i].Cells[j].Style.Borders.BottomLineStyle;
                    DataTable1.Rows[count][4] = Wbook.Worksheets[0].Rows[i].Cells[j].Style.Borders.LeftLineColor;
                    DataTable1.Rows[count][5] = Wbook.Worksheets[WorksheetName].Cells[i, j].Style.Borders.LeftLineStyle;
                    DataTable1.Rows[count][6] = Wbook.Worksheets[WorksheetName].Cells[i, j].Style.Borders.RightLineColor;
                    DataTable1.Rows[count][7] = Wbook.Worksheets[WorksheetName].Cells[i, j].Style.Borders.RightLineStyle;
                    DataTable1.Rows[count][8] = Wbook.Worksheets[WorksheetName].Cells[i, j].Style.Borders.TopLineColor;
                    DataTable1.Rows[count][9] = Wbook.Worksheets["BordersAndMerger"].Columns[j].Cells[i].Style.Borders.TopLineStyle;
                    DataTable1.Rows[count][10] = Wbook.Worksheets["BordersAndMerger"].Columns[j].Cells[i].Style.Borders.Diagonal;
                    DataTable1.Rows[count][11] = Wbook.Worksheets["BordersAndMerger"].Columns[j].Cells[i].Style.Borders.DiagonalLineColor;
                    DataTable1.Rows[count][12] = Wbook.Worksheets["BordersAndMerger"].Columns[j].Cells[i].Style.Borders.DiagonalLineStyle;
                    count++;
                }
                dataGridView1.DataSource = DataTable1;
            }
        }

    }
}
