﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Docs.Excel;

namespace CellFill
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();

            //Add new worksheet to workbook.
            Wbook.Worksheets.Add("Sheet1");

            //Write a text and set background of cell.
            Wbook.Worksheets[0].Cells["B2"].Value = "sample";
            Wbook.Worksheets[0].Cells["B2"].Style.BackgroundColor = Color.SkyBlue;

            //Write a text and set fill style of cell.
            Wbook.Worksheets[0].Cells["B4"].Value = "sample";
            Wbook.Worksheets[0].Cells[3, 1].Style.BackgroundColor = ColorPalette.Aqua;
            Wbook.Worksheets[0].Cells[3, 1].Style.PatternForeColor = Color.FromArgb(0x00, 0x70, 0x90);
            Wbook.Worksheets[0].Cells[3, 1].Style.PatternFillStyle = TypeOfFillPattern.ThinHorizontalStripe;

            //Write a text and set background of cell.
            Wbook.Worksheets[0].Cells["D2"].Value = "sample";
            Wbook.Worksheets[0].Cells["D2"].SetFillColorOfCell(ColorPalette.IceBlue);

            //Write a text and set fill style of cell.
            Wbook.Worksheets[0].Cells["D4"].Value = "sample";
            Wbook.Worksheets[0].Cells["D4"].SetFillColorOfCell(Color.FromArgb(0xAF0066), ColorPalette.Red, TypeOfFillPattern.DiagonalCrosshatch);

            //Write a text and set gradient fill style of cell(only .xlsx).
            Wbook.Worksheets[0].Cells["F2"].Value = "sample";
            Wbook.Worksheets[0].Cells["F2"].SetFillColorOfCell(ColorPalette.SkyBlue, ColorPalette.Red, TypeOfFillPattern.GradientVertical);

            //Write a text and set gradient fill style of cell(only .xlsx).
            Wbook.Worksheets[0].Cells["F4"].Value = "sample";
            Wbook.Worksheets[0].Cells["F4"].Style.BackgroundColor = ColorPalette.Red;
            Wbook.Worksheets[0].Cells["F4"].Style.PatternForeColor = Color.Yellow;
            Wbook.Worksheets[0].Cells["F4"].Style.PatternFillStyle = TypeOfFillPattern.GradientDiagonalUpRevers;

            //Write .xls file.
            Wbook.WriteXLS(@"..\..\..\CellFill.xls");

            //Write .xlsx file.
            Wbook.WriteXLSX(@"..\..\..\CellFill.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\CellFill.xlsx");

        }
    }
}
