﻿using System;
using System.Threading;
using System.Drawing;
using Docs.Excel;

namespace MultiThreading
{
    public class ProcessClass
    {
        Thread thread1;
        Thread thread2;


        public ProcessClass()
        {
            ThreadStart ts = new ThreadStart(ThreadProc1);
            thread1 = new Thread(ts);
            ts = new ThreadStart(ThreadProc2);
            thread2 = new Thread(ts);
        }

        public void Run()
        {
            thread1.Start();
            thread2.Start();
        }


        private void ThreadProc1()
        {
            Console.WriteLine("Thread1 is started.");
            ExcelWorkbook Wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\SampleInput1.xlsx");
            Wbook.WriteXLSX(@"..\..\..\SampleOutput1.xlsx");
            Console.WriteLine("File SampleOutput1.xlsx successfully is written");
            Console.WriteLine("Thread1 is finished.");
        }

        private void ThreadProc2()
        {
            Console.WriteLine("Thread2 is started.");
            ExcelWorkbook Wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\SampleInput2.xlsx");
            Wbook.WriteXLSX(@"..\..\..\SampleOutput2.xlsx");
            Console.WriteLine("File SampleOutput2.xlsx successfully is written");
            Console.WriteLine("Thread2 is finished.");
        }
    }
}
